Infra APIVms

Update VM external ref

Sets or updates the external reference for a VM

PUT/api/v1/vms/{vm_id}/external-ref

Sets or updates the external reference for a VM

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Path Parameters

vm_id*string

VM ID

Request Body

application/json

External ref

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/vms/string/external-ref" \  -H "Content-Type: application/json" \  -d '{}'
{  "external_ref": "string",  "vm_id": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}